Bug 242754 - Missing character bug in latest security patches
Summary: Missing character bug in latest security patches
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 3.8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Simo Sorce
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 242744
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 17:00 UTC by Simo Sorce
Modified: 2009-10-27 16:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 16:46:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1528 normal SHIPPED_LIVE Moderate: samba security and bug fix update 2009-10-27 16:46:49 UTC

Description Simo Sorce 2007-06-05 17:00:10 UTC
+++ This bug was initially created as a clone of Bug #242744 +++

Description of problem:
Upstream was notified that the security patch for CVE-2007-2447 is missing one
character in the allowed set for the escape shell security functions
This may cause the code to reject any script that contains the 'c' character in
the path or parameters not passed in double quotes

Version-Release number of selected component (if applicable):
All RHEL products

Comment 3 Simo Sorce 2007-06-06 22:17:46 UTC
patch committed

Comment 10 errata-xmlrpc 2009-10-27 16:46:56 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1528.html


Note You need to log in before you can comment on or make changes to this bug.